Subject: Re: queries for unbounded recurring components

From: [email-masked]
Date: Wed, 12 Jan 2000 11:20:44 -0500

Doug:
Wouldn't CUA-1 see that the SEQUENCE number for the event had changed from 
what it had and then ask for the whole definition of the event?
Or are you addressing the case where CUA-1 is reading from the calendar 
while CUA-2 is writing into it, creating a condition where what it reads 
is out of date?
-- Frank

Doug Royer <[email-masked]>
Sent by: [email-masked]
01/11/2000 08:13 PM
Please respond to ietf-calendar

        To:     [email-masked]
        cc:     (bcc: Frank Dawson/CAM/Lotus)
        Subject:        Re: queries for unbounded recurring components

>[email-masked] wrote:
>> It does however raise the question about the
>> search mechanism/language.  Could a CUA use the currently proposed
>> mechanism/language to request "Give me the next 3 entries for UID:12345 
after
>> 19991019T142100"?

>I think we discussed this already.

>As for components between dates (give me >= January && < Febuary).

>The logic (as I recall) was:

>                TIME-1:                                 CUA-1 asks for 
the 1st 3 after date.

>                TIME-2:                                 CUA-2 inserts 1 
new entry BEFORE the original.
>                                                                      1 
new after the original 1st entry.

>                TIME-3:                                 CUA-1 asks for 
(in what ever way) the next 3.

>                                                What do you return? Do 
you notify them that
>                                                some are new and they did 
not get them?

---

From: Doug Royer <[email-masked]>
Date: Wed, 12 Jan 2000 09:15:23 -0800

> what it had and then ask for the whole definition of the event?

Not if as Bruce says, "...if you don't ask for it, you will not get it ...".
So if CUA-1 did not ask for SEQUENCE, it would never know.

That's why I think date range queries are the better option. If you
don't ask for SEQUENCE, you will still get the correct answer.

> Or are you addressing the case where CUA-1 is reading from the calendar while
> CUA-2 is writing into it, creating a condition where what it reads is out of
> date?

No. Not simultaneous. But separate operations over time.

>                                                To:
>   Sent by: [email-masked]  [email-masked]
>                                                cc:        (bcc: Frank
>   01/11/2000 08:13 PM                  Dawson/CAM/Lotus)
>   Please respond to ietf-calendar              Subject:        Re: queries
>                                        for unbounded recurring components
> 
> >                 TIME-1:                                  CUA-1 asks for the
> 1st 3 after date.
> 
> >                 TIME-2:                                  CUA-2 inserts 1 new
> entry BEFORE the original.
> >                                                                          1
> >                 TIME-3:                                  CUA-1 asks for (in
> what ever way) the next 3.
> 
> >                                                   What do you return? Do you
> notify them that